# Katabatic - Routing Toolbox

List of all members | Static Public Member Functions | Private Member Functions
GCellTopology Class Reference
Global Routing Loading

Build the wiring for a Net inside a GCell (internal). More...

## Static Public Member Functions
static void | doRp_AutoContacts (GCell *, Component *, AutoContact *&source, AutoContact *&target, unsigned int flags)
static AutoContact * | doRp_Access (GCell *, Component *, unsigned int flags)
static AutoContact * | doRp_AccessPad (RoutingPad *, unsigned int flags)
static void | doRp_StairCaseH (GCell *, Component *rp1, Component *rp2)
static void | doRp_StairCaseV (GCell *, Component *rp1, Component *rp2)

## Private Member Functions
void | _do_xG ()
void | _do_xG_1Pad ()
void | _do_1G_1M1 ()
void | _do_1G_xM1 ()
void | _do_xG_xM1_xM3 ()
void | _do_xG_1M1_1M2 ()
void | _do_xG_xM2 ()
void | _do_1G_1M3 ()
void | _do_xG_xM3 ()

## Detailed Description

Build the wiring for a Net inside a GCell (internal).

As this class is called to initially construct the Katabatic wiring, it must build a connex wiring. That is without gaps in layer depth, because the topology restauration mechanism (AutoContact::updateTopology()) of the AutoContact cannot work until all AutoSegments are revalidated at least once. The topology restauration work by creating doglegs which in turn, call the canonization, which needs all the caches to be up to date.

The documentation for this class was generated from the following file:

- LoadGrByNet.cpp

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

Katabatic - Routing Toolbox | Copyright © 2008-2016 UPMC. All rights reserved